Skip to main content
`Ctrl`+`K`

# EPSStoppingCtx

Data structure (C struct) to hold additional information to be used in some stopping test functions.

## Synopsis

    struct _n_EPSStoppingCtx {
      PetscReal firstev;    /* the (absolute) value of the first converged eigenvalue */
      PetscReal lastev;     /* the (absolute) value of the last converged eigenvalue */
      PetscReal thres;      /* threshold set with EPSSetThreshold() */
      PetscBool threlative; /* threshold is relative */
      EPSWhich  which;      /* which eigenvalues are being computed */
    };

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetStoppingTestFunction()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages